Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.examples.socnet
Class Person

    java.lang.Object
      org.neo4j.examples.socnet.Person

    public class Person

extends Object

Method Summary
`void` | `addFriend(Person otherPerson)`
`void` | `addStatus(String text)`
`boolean` | `equals(Object o)`
`Iterator<StatusUpdate>` | `friendStatuses()`
`Iterable<Person>` | `getFriendRecommendation(int numberOfFriendsToReturn)`
`Iterable<Person>` | `getFriends()`
`Iterable<Person>` | `getFriendsOfFriends()`
`String` | `getName()`
`int` | `getNrOfFriends()`
`Iterable<Person>` | `getShortestPathTo(Person otherPerson, int maxDepth)`
`Iterable<StatusUpdate>` | `getStatus()`
`protected org.neo4j.graphdb.Node` | `getUnderlyingNode()`
`int` | `hashCode()`
`void` | `removeFriend(Person otherPerson)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getUnderlyingNode

    protected org.neo4j.graphdb.Node getUnderlyingNode()

### getName

    public String getName()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### addFriend

    public void addFriend(Person otherPerson)

### getNrOfFriends

    public int getNrOfFriends()

### getFriends

    public Iterable<Person> getFriends()

### removeFriend

    public void removeFriend(Person otherPerson)

### getFriendsOfFriends

    public Iterable<Person> getFriendsOfFriends()

### getShortestPathTo

    public Iterable<Person> getShortestPathTo(Person otherPerson,
                                              int maxDepth)

### getFriendRecommendation

    public Iterable<Person> getFriendRecommendation(int numberOfFriendsToReturn)

### getStatus

    public Iterable<StatusUpdate> getStatus()

### friendStatuses

    public Iterator<StatusUpdate> friendStatuses()

### addStatus

    public void addStatus(String text)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.